gsw_t_from_CT {gsw} | R Documentation

## In situ temperature from Conservative Temperature

### Description

In situ temperature from Conservative Temperature

### Usage

    gsw_t_from_CT(SA, CT, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`CT` | Conservative Temperature [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

in-situ temperature (ITS-90) [ degC ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_t_from_CT.html

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    CT <- c(28.8099, 28.4392, 22.7862, 10.2262,  6.8272,  4.3236)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    t <- gsw_t_from_CT(SA, CT, p)
    expect_equal(t, c(28.785580227725703, 28.432872246163946, 22.810323087627076,
                      10.260010752788906, 6.886286301029376, 4.403624452383043))

[Package gsw version 1.0-5 Index]